
/*-- sec_box --*/
.sec_name {
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
    color: var(--primary);
    display: flex;
    align-items: center;
    position: relative;
} 
.sec_name::before {
    content: '';
    width: 0px;
    height: 1px;
    background-color: var(--primary);
    position: absolute;
    left: -100px;
    transition: width .8s .1s ease;
}
.sec_box.show .sec_name::before {
    width: 80px;
}
.sec_title {
    margin-top: 24px;
    font-size: var(--ft42);
    font-weight: var(--semi-bold);
}
.sec_text {
    margin-top: 32px;
    font-size: var(--ft18);
}

.sec_box > * {
    opacity: 0;
    transform: translateX(-20px);
}

.sec_box.white * {
    color: var(--white);
}
.sec_box.white .sec_name::before {
    background-color: var(--white);
}


.quick {
    transform: translateX(100%);
    transition: transform .6s ease;
}
.quick.show {
    transform: translateX(0);
}

.m_btn {
    display: none;
}

.footer {
    margin-top: 0;
}

/*------------------------------- sec1 -------------------------------*/
.sec1 {
    width: 100%;
    height: 100vh;
}
.sec1 * {
    color: var(--white);
    text-align: center;
}
.sec_video {
    width: 100%;
    height: 100%;
    overflow: hidden;
}
.video_img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}
.sec_video video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.sec1 .sec_inner {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, .5);
}
.sec1 .sec_inner > div {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 40px;
}
.main_title {
    white-space: normal;
    display: flex;
    align-items: center;
    gap: 8px;
}
.main_title span {
    font-size: var(--ft50);
    font-weight: var(--semi-bold);
}
.main_title .line {
    width: 0px;
    margin: 0;
    height: 1px;
    background-color: var(--white);
}
.main_text {
    font-size: var(--ft20);
    font-weight: var(--medium);
}

/*-- main_quick --*/
.main_quick {
    width: 100%;
    max-width: 620px;
    height: 70px;
    padding: 10px;
    background-color: var(--white-200);
    border-radius: var(--radius);
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    position: absolute;
    bottom: 60px;
    left: 0;
    right: 0;
    margin: 0 auto;
    transform: translateY(20px);
    opacity: 0;
}
.main_quick li {
    width: 100%;
    height: 100%;
    border-radius: var(--radius);
    overflow: hidden;
    cursor: pointer;
}
.main_quick li:last-child {
    background-color: var(--primary);
}
.main_quick li,
.main_quick li a {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
}
.main_quick img {
    width: 18px;
    height: 18px;
    filter: brightness(0) invert(1);
    -webkit-filter: brightness(0) invert(1);
}
.main_quick p {
    font-weight: var(--semi-bold);
}

/*-- scroll_down --*/
.scroll_down {
    display: flex;
    align-items: center;
    gap: 8px;
    position: absolute;
    bottom: 60px;
    right: 0;
    animation: scroll 1s infinite alternate;
}
@keyframes scroll {
    to {
        transform: translateY(10px);
    }
}
.scroll_down .cir {
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background-color: var(--white-200);
    display: flex;
    justify-content: center;
    align-items: center;
}
.scroll_down .cir img {
    width: 8px;
    height: 8px;
    filter: brightness(0) invert(1);
    -webkit-filter: brightness(0) invert(1);
}
.scroll_down p {
    font-size: var(--ft14);
}


/*------------------------------- sec2 -------------------------------*/
.sec_bg {
    padding: 160px 0;
    overflow: hidden;
    background: url('/images/sec2_bg.png') no-repeat center/cover;
}
.sec2 .flex {
    display: flex;
    align-items: end;
    gap: 70px;
}
.sec2 .flex .sec_text {
    margin-top: 0;
}

/*-- case_swiper --*/
.case_swiper {
    margin-top: 80px;
}
.case_box {
    width: 100%;
    height: auto;
    background-color: var(--white);
    border-radius: 4px;
    opacity: 0;
    border: 1px solid rgba(255, 255, 255, 0);
    transition: border .4s ease;
    position: relative;
}
.case_box::before {
    content: '';
    display: block;
    width: 200px;
    height: 200px;
    opacity: 0;
    background: url('/images/mark.svg') no-repeat center/contain;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
    transition: opacity .4s ease;
}
.case_box:hover {
    border-color: var(--primary);
}
.case_box:hover::before {
    opacity: .06;
}
.swiper-backface-hidden .swiper-slide.case_box {
    transform: translateX(-20px);
}
.case_box a {
    padding: 40px 36px;
}
.case_type {
    display: flex;
    gap: 10px;
}
.case_type div {
    padding: 4px 20px;
    border-radius: var(--radius);
    font-size: var(--ft14);
    font-weight: var(--semi-bold);
}
.case_type div:first-child {
    background-color: var(--primary-bg);
    color: var(--primary);
}
.case_type div:last-child {
    background-color: var(--primary);
    color: var(--white);
}
.case_title {
    margin-top: 24px;
    font-size: var(--ft20);
    font-weight: var(--semi-bold);
}
.case_text {
    margin-top: 20px;
    color: var(--gray-600);
}
.case_tag {
    margin-top: 32px;
    display: flex;
    align-items: center;
    gap: 14px;
    overflow: hidden;
    position: relative;
}
.case_tag::after {
    content: '';
    display: block;
    width: 100px;
    height: 100%;
    background: linear-gradient(270deg, #FFF 0%, rgba(255, 255, 255, 0.00) 100%);
    position: absolute;
    right: 0;
    top: 0;
}
.case_tag li {
    font-size: var(--ft16);
    font-weight: var(--medium);
    color: var(--primary);
    flex-shrink: 0;
}
.case_date {
    display: block;
    margin-top: 40px;
    padding-top: 20px;
    border-top: 1px solid var(--dark-line);
    font-size: var(--ft14);
    color: var(--gray-600);
}

.swiper_btm {
    margin-top: 80px;
    display: flex;
    align-items: center;
    gap: 32px;
}
.swiper-pagination {
    height: 2px;
    border-radius: 2px;
    position: static;
    z-index: 1;
    background-color: var(--dark-line);
}
.swiper-pagination .swiper-pagination-progressbar-fill {
    background-color: var(--primary);
    border-radius: 2px;
}
.swiper_btn_box {
    display: flex;
    align-items: center;
    gap: 20px;
}
.swiper_btn {
    width: 28px;
    height: 28px;
    border-radius: var(--radius);
    border: 1px solid var(--dark-line);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: background .3s ease;
}
.swiper_btn:hover {
    background-color: var(--white);
}
.swiper_btn img {
    width: 10px;
    height: 10px;
}
.swiper_num {
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
}
.swiper_num,
.swiper_num * {
    color: var(--gray-600);
}
.swiper_num .swiper-pagination-current {
    font-weight: var(--semi-bold);
    color: var(--primary);
}

/*-- case_more --*/
.case_more {
    width: 100%;
    padding: 60px 0;
    background-color: var(--primary);
}
.case_more > div {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.box_title {
    font-size: var(--ft24);
    font-weight: var(--semi-bold);
    margin-bottom: 16px;
    color: var(--white);
}
.box_text {
    font-size: var(--ft18);
    font-weight: var(--medium);
    color: var(--white);
}


/*------------------------------- sec3 -------------------------------*/
.sec3 {
    padding: 180px 0 100px;
    overflow: hidden;
    background: url('/images/sec3_bg.png') no-repeat center/cover;
}
.sec3 * {
    color: var(--white);
}

/*-- sarim --*/
.sarim {
    margin-top: 40px;
    display: flex;
    justify-content: center;
    gap: 60px;
}
.sarim_hanja {
    width: 320px;
    height: 320px;
    opacity: 0;
    filter: blur(20px);
}
.sarim_name {
    margin-top: 24px;
    margin-bottom: 24px;
    font-size: var(--ft20);
    font-weight: var(--semi-bold);
    opacity: 0;
}
.sarim_text {
    font-size: var(--ft18);
    font-weight: var(--medium);
    opacity: 0;
}

.sarim_info {
    margin-top: 80px;
    width: 100%;
    padding: 46px;
    border-radius: var(--radius);
    background-color: var(--white-200);
    text-align: center;
}
.sarim_info span {
    font-size: var(--ft20);
    font-weight: var(--medium);
    color: var(--white-400);
    background: linear-gradient(to right, var(--white), var(--white)) no-repeat;
    -webkit-background-clip: text;
    background-clip: text;
    background-size: 0%;
}

/*------------------------------- sec4 -------------------------------*/
.sec4 {
    margin-top: 200px;
}

/*-- lawyer_box --*/
.lawyer_box {
    margin-top: 70px;
    border-radius: var(--radius);
    background-color: var(--primary-bg);
    display: flex;
    justify-content: space-between;
    position: relative;
}
.lawyer_l {
    max-width: 50%;
    padding: 100px;
    transform: translateX(-20px);
    opacity: 0;
}
.lawyer_name_box {
    display: flex;
    align-items: center;
    gap: 16px;
}
.lawyer_name {
    font-size: var(--ft40);
    font-weight: var(--semi-bold);
}
.lawyer_position {
    font-size: var(--ft24);
    font-weight: var(--semi-bold);
}
.lawyer_type {
    margin-top: 40px;
    display: flex;
    align-items: center;
    gap: 20px;
}
.lawyer_type li {
    display: flex;
    align-items: center;
    gap: 12px;
    padding-right: 20px;
    position: relative;
}
.lawyer_type li::after {
    content: '';
    display: block;
    width: 1px;
    height: 14px;
    background-color: var(--dark-line);
    position: absolute;
    right: 0;
}
.lawyer_type li:last-child {
    padding-right: 0;
}
.lawyer_type li:last-child::after {
    display: none;
}
.lawyer_type img {
    width: 24px;
    height: 24px;
}
.lawyer_type p {
    font-size: var(--ft18);
    font-weight: var(--medium)
}
.lawyer_text {
    margin-top: 60px;
    font-size: var(--ft18);
    color: var(--gray-600);
}

.lawyer_box .btn {
    margin-top: 60px;
}

.lawyer_img {
    width: 800px;
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 1;
    transform: translateX(20px);
    opacity: 0;
}
.mark {
    width: 360px;
    opacity: .1;
    position: absolute;
    top: 30px;
    right: 30px;
}

/*------------------------------- sec5 -------------------------------*/
.sec5 {
    margin-top: 200px;
}
.sec5 .sec_box {
    display: flex;
    justify-content: space-between;
    align-items: end;
}

.bbs_list {
    margin-top: 100px;
    display: flex;
    gap: 60px;
    position: relative;
}
.bbs_swiper {
    display: none;
    overflow: hidden;
}

.bbs_img {
    width: 100%;
    aspect-ratio: 16 / 9;
    border-radius: var(--radius);
    overflow: hidden;
    flex-shrink: 0;
}
.bbs_img img {
    transition: transform .4s ease;
}
.bbs_list a:hover .bbs_img img {
    transform: scale(1.07);
}
.bbs_list a:hover .bbs_title {
    text-decoration: underline;
}

.bbs_top {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.bbs_type {
    padding: 4px 20px;
    border-radius: var(--radius);
    border: 1px solid var(--dark-line);
    font-size: var(--ft14);
    font-weight: var(--semi-bold);
}
.bbs_date {
    font-size: var(--ft14);
    color: var(--gray-600);
}
.bbs_title {
    font-size: var(--ft22);
    font-weight: var(--semi-bold);
}
.bbs_text {
    color: var(--gray-600);
}
.bbs_tag {
    display: flex;
    gap: 14px;
    overflow: hidden;
    position: relative;
}
.bbs_tag::after {
    content: '';
    display: block;
    width: 100px;
    height: 100%;
    background: linear-gradient(270deg, #FFF 0%, rgba(255, 255, 255, 0.00) 100%);
    position: absolute;
    right: 0;
    top: 0;
}
.bbs_tag li {
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    color: var(--primary);
    flex-shrink: 0;
}


.bbs_box {
    width: 100%;
    max-width: 500px;
    height: fit-content;
}
.bbs_box .bbs_top {
    margin-top: 32px;
}
.bbs_box .bbs_title {
    margin: 20px 0;
}
.bbs_box .bbs_tag {
    margin-top: 32px;
}

.bbs_list .list {
    padding: 20px 0;
    padding-left: 60px;
    border-left: 1px solid var(--dark-line);
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 60px;
}
.bbs_list .list a {
    display: flex;
    align-items: center;
    gap: 60px;
}
.bbs_list .list_l {
    width: 100%;
}
.bbs_list .list .bbs_img {
    width: 320px;
}
.bbs_list .list .bbs_title {
    font-size: var(--ft20);
    margin-top: 20px;
    margin-bottom: 14px;
}
.bbs_list .list .bbs_tag {
    margin-top: 20px;
}
.bbs_list .list .bbs_tag li {
    font-size: var(--ft14);
}


/*------------------------------- sec6 -------------------------------*/
.sec6 {
    padding: 160px 0;
    margin-top: 200px;
    background: url('/images/sec6_bg.png') no-repeat center/cover;
}
.sec6 * {
    color: var(--white);
}
.sec6 > div {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.sec_r {
    display: flex;
    flex-direction: column;
    align-items: end;
}
.sec_r .contact_list li::after {
    background-color: var(--white-200);
}
.sec6 .btn {
    margin-top: 80px;
    width: 340px;
    height: 70px;
    background-color: var(--white-100);
    border: 1px solid rgba(255, 255, 255, 0);
    transition: border .4s ease;
}
.sec6 .btn:hover {
    border-color: var(--white-200);
}

@media all and (max-width: 1800px) {
    /*-- sec1 --*/
    .scroll_down {
        right: 60px;
    }
}

@media all and (max-width: 1600px) {
    .sec_name::before {
        left: 0;
        top: -20px;
    }
    /*-- sec5 --*/
    .bbs_box {
        max-width: 450px;
    }

}

@media all and (max-width: 1400px) {
    .sec_title {
        font-size: var(--ft36);
    }
    /*-- sec1 --*/
    .main_title span {
        font-size: var(--ft40);
    }
    .main_quick {
        max-width: 540px;
        height: 60px;
        padding: 4px;
    }

    /*-- sec4 --*/
    .sec4 {
        margin-top: 120px;
    }
    .lawyer_l {
        padding: 80px 0;
    }
    .lawyer_name_box {
        gap: 10px;
    }
    .lawyer_name {
        font-size: var(--ft32);
    }
    .lawyer_position {
        font-size: var(--ft20);
    }
    .lawyer_type {
        margin-top: 24px;
        flex-direction: column;
        align-items: start;
        gap: 12px;
    }
    .lawyer_type li {
        padding-right: 0;
        gap: 8px;
    }
    .lawyer_type li::after {
        display: none;
    }
    .lawyer_type img {
        width: 20px;
        height: 20px;
    }
    .lawyer_text {
        margin-top: 32px;
    }
    .lawyer_img {
        width: 700px;
    }
    .mark {
        width: 300px;
    }

    /*-- sec5 --*/
    .sec5 {
        margin-top: 120px;
    }
    .bbs_list {
        flex-direction: column;
    }
    .bbs_box {
        max-width: 100%;
    }
    .bbs_box a {
        display: flex;
        align-items: center;
        gap: 60px;
    }
    .bbs_box .bbs_top {
        margin-top: 0;
    }
    .bbs_box .bbs_title {
        margin-top: 20px;
        margin-bottom: 14px;
        font-size: var(--ft20);
    }
    .bbs_box .bbs_tag {
        margin-top: 20px;
    }
    .bbs_tag li {
        font-size: var(--ft14);
    }
    .bbs_box .bbs_img {
        width: 320px;
        order: 2;
    }
    .bbs_list .list {
        padding: 0;
        border: none;
    }

    /*-- sec6 --*/
    .sec6 {
        margin-top: 120px;
        padding: 100px 0;
    }
    .sec6 > div {
        flex-direction: column;
        align-items: start;
        gap: 60px;
    }
    .sec_r {
        width: 100%;
        align-items: start;
    }
    .sec6 .btn {
        width: 100%;
        margin-top: 40px;
    }
}

@media all and (max-width: 1200px) {
    /*-- sec4 --*/
    .lawyer_img {
        width: 600px;
    }
}

@media all and (max-width: 1024px) {
    .quick {
        transform: translateX(0) !important;
    }

    .sec_text {
        margin-top: 20px;
    }

    /*-- sec1 --*/
    .scroll_down {
        justify-content: center; 
        bottom: 100px;
        left: 0;
        right: 0;
        margin: 0 auto;
    }
    .main_quick {
        display: none;
    }

    /*-- sec2 --*/
    .sec_bg {
        padding: 100px 0;
    }
    .sec2 .flex {
        flex-direction: column;
        align-items: start;
        gap: 20px;
    }
    .case_swiper {
        margin-top: 60px;
    }

    /*-- sec3 --*/
    .sec3 {
        padding: 100px 0;
    }
    .sarim_hanja {
        width: 240px;
        height: 240px;
    }

    /*-- sec4 --*/
    .lawyer_box {
        margin-top: 40px;
        border-radius: 0;
        background: none;
        flex-direction: column;
        gap: 32px;
    }
    .lawyer_l {
        max-width: 100%;
        padding: 0;
        order: 2;
    }
    .lawyer_r {
        width: 100%;
        border-radius: var(--radius);
        background-color: var(--primary-bg);
        display: flex;
        justify-content: center;
        position: relative;
    }
    .lawyer_img {
        width: 500px;
        max-width: 90%;
        height: fit-content;
        position: static;
    }
    .mark {
        width: 240px;
        max-width: 50%;
    }

    /*-- sec5 --*/
    .sec5 .sec_box {
        flex-direction: column;
        align-items: start;
        gap: 40px;
    }
    .bbs_list {
        margin-top: 50px;
    }
    .bbs_list .list a,
    .bbs_box a {
        gap: 40px;
    }
    .bbs_box .bbs_img,
    .bbs_list .list .bbs_img {
        width: 260px;
    }

}

@media all and (max-width: 768px) {

    .sec_name::before {
        top: -14px;
    }
    .sec_name {
        font-size: var(--ft16);
    }
    .sec_title {
        margin-top: 16px;
        font-size: var(--ft24);
    }
    .sec_text {
        margin-top: 20px;
        font-size: var(--ft16);
    }

    .btn {
        width: 100%;
    }
    .m_btn {
        display: flex;
    }
    .pc_btn {
        display: none;
    }

    
    /*-- sec1 --*/
    .sec1 {
        height: 100svh;
    }
    .sec1 .sec_inner > div {
        gap: 20px;
    }
    .main_title {
        flex-direction: column;
    }
    .main_title span {
        font-size: var(--ft32);
    }
    .main_title .line {
        width: 1px !important;
        height: 0px;   
    }
    .main_text {
        font-size: var(--ft16);
    }

    /*-- sec2 --*/
    .case_swiper {
        margin-top: 40px;
    }
    .case_box a {
        padding: 24px;
    }
    .case_type div {
        padding: 4px 12px;
    }
    .case_title {
        margin-top: 16px;
        font-size: var(--ft18);
    }
    .case_text {
        margin-top: 12px;
    }
    .case_tag {
        margin-top: 20px;
    }
    .case_tag li {
        font-size: var(--ft14);
    }
    .case_tag::after {
        width: 30px;
    }
    .case_date {
        margin-top: 20px;
        padding-top: 12px;
    }
    .case_box::before {
        width: 100px;
        height: 100px;
    }

    .swiper_btm {
        margin-top: 40px;
        justify-content: center;
    }
    .swiper_btm .swiper-pagination {
        display: none;
    }

    .case_more {
        padding: 32px 0px;
    }
    .case_more > div {
        text-align: center;
        flex-direction: column;
        gap: 24px;
    }
    .box_title {
        font-size: var(--ft20);
        margin-bottom: 8px;
    }
    .box_text {
        font-size: var(--ft16);
    }

    /*-- sec3 --*/
    .sarim {
        gap: 32px;
    }
    .sarim_hanja {
        width: 100%;
        max-width: 200px;
        height: auto;
        aspect-ratio: 1 / 1;
    }
    .sarim_name {
        font-size: var(--ft16);
        margin-top: 20px;
        margin-bottom: 12px;
    }
    .sarim_text {
        font-size: var(--ft14);
    }
    .sarim_info {
        margin-top: 40px;
        padding: 28px 20px;
    }
    .sarim_info span {
        font-size: var(--ft16);
    }

    /*-- sec4 --*/
    .lawyer_name {
        font-size: var(--ft24);
    }
    .lawyer_position {
        font-size: var(--ft18);
    }
    .lawyer_type {
        margin-top: 16px;
        gap: 8px;
    }
    .lawyer_type img {
        width: 16px;
        height: 16px;
    }
    .lawyer_type p {
        font-size: var(--ft16);
    }
    .lawyer_text {
        margin-top: 20px;
        font-size: var(--ft16);
    }
    .lawyer_box .btn {
        margin-top: 24px;
    }

    /*-- sec5 --*/
    .bbs_list {
        display: none;
    }
    .bbs_swiper {
        display: block;
        margin-top: 40px;
    }
    .bbs_top {
        margin-top: 12px;
    }
    .bbs_title {
        font-size: var(--ft18);
        margin: 12px 0;
    }
    .bbs_tag {
        margin-top: 20px;
    }
    .bbs_swiper .swiper_btm {
        padding-top: 20px;
        border-top: 1px solid var(--dark-line);
    }
    .sec5 .m_btn {
        margin-top: 40px;
    }

    /*-- sec6 --*/
    .sec6 > div {
        gap: 32px;
    }
    .contact_list {
        width: 100%;
    }
    .page .contact_list li:nth-child(2) a, 
    .page .contact_list li:nth-child(3) {
        background-color: var(--white-100);
    }
    .page .contact_list li:first-child {
        border-color: var(--white-200);
    }
    
    .sec6 .btn {
        height: auto;
        background-color: var(--white);
    }
    .sec6 .btn:hover {
        background-color: var(--white);
    }
    .sec6 .btn p {
        color: var(--gray-700);
    }
    .sec6 .btn img {
        filter: none !important;
        -webkit-filter: none !important;
    }
}